Subject: Re: Call Me Gitless

From: Marcus Griep <[email-masked]>
Date: Mon, 18 Aug 2008 23:55:28 -0400

Junio C Hamano wrote:
> This implements Daniel's idea to indicate what are compared by using
> prefix different from the traditional a/ and b/ in the textual diff
> header:
> 
>     "git diff" compares the (i)ndex and the (w)ork tree;
>     "git diff HEAD" compares a (c)ommit and the (w)ork tree;
>     "git diff --cached" compares a (c)ommit and the (i)ndex;
>     "git diff HEAD:f /tmp/f" compares an (o)bject and (w)ork tree.
> 
> Because these mnemonics now have meanings, they are swapped when reverse
> diff is in effect.

I like this proposal-ish; making the prefixes more intuitive could be
useful when looking at a bare diff from git too.  I'd put some time in
to help implement this.

-- 
Marcus Griep
GPG Key ID: 0x5E968152
——
http://www.boohaunt.net
את.ψο´